const express = require('express');
const app = express();
const http = require('http');
const server = http.createServer(app);
const { Server } = require("socket.io");
const io = new Server(server, {
    cors: {
        origin: "http://localhost:5173"
    }
});

app.get('/', (req, res) => {
  res.send('<h1>Quippy Server</h1>');
});

io.on('connection', (socket) => {
    console.log("SocketIO connected to a user.")
})

server.listen(3000, () => {
  console.log('listening on *:3000');
});